package gov.va.med.fw.batchprocess;


import java.util.Map;
import org.apache.commons.lang.builder.ToStringBuilder;
/* page 47 of ESR_CMS_Interface_Control_Document.doc
Processing Date: Date of Processing
Processed file: CMS_USPS_returns_timestamp.txt
Number of Records Processed: total
Number of Error Records: total
Number of Successful records processed: total
*/

public class HandbookMailingResponseReturnedByUSPSFileProcessStatistics
             extends DataFileProcessStatistics {



	private static final long serialVersionUID = -1744727060006544165L;
	private int numH400HRecordsProcessed = 0;
	private int numH400BRecordsProcessed = 0;
	private int numH400FRecordsProcessed = 0;
	
	protected ProcessStatistics createProcessStatistics() {
        return new HandbookMailingResponseReturnedByUSPSFileProcessStatistics();
    }    
	    
	protected void buildToString(ToStringBuilder builder) {
		super.buildToString(builder);

	}	
	



	public Map statsMap() throws Exception {
		Map data = super.statsMap();		

		return data;
	}
	// try this test for class cast
	public void appendStats(ProcessStatistics stats) {
		DataFileProcessStatistics _stats = (DataFileProcessStatistics)stats;
		this.setProcessName(_stats.getProcessName());
		this.setProcessedFilePath(_stats.getProcessedFilePath());
		this.setProcessingStartDate(_stats.getProcessingStartDate());
		this.setExecutedOnServer(_stats.getExecutedOnServer());
		this.setProcessedFiles(_stats.getProcessedFiles());
	}
}	